#ifdef GL_ES
precision mediump float;
#endif

uniform sampler2D u_texture;

varying vec4 v_color;
varying vec2 v_texCoord;
varying float v_scale;
varying float v_fontScale;

//float smoothing = 0.25 / (3.5*v_fontScale*v_scale);//1.0/32.0;

void main() {
    float smoothing = 0.25 / (3.5*v_fontScale*v_scale);
    float distance = texture2D(u_texture, v_texCoord).a;
    float alpha = smoothstep(0.5 - smoothing, 0.5 + smoothing, distance);
    gl_FragColor = vec4(v_color.rgb, v_color.a * alpha);
}