#ifdef GL_ES
precision lowp float;
#endif

varying vec4 v_color;
varying vec2 v_texCoords;


//our different texture units
uniform sampler2D u_texture; //default GL_TEXTURE0, expected by SpriteBatch
uniform sampler2D u_mask;

void main(void) {
    //sample the colour from the first texture
    vec4 texColor0 = texture2D(u_texture, v_texCoords);

    //get the mask; we will only use the alpha channel
    vec4 texColor1 = texture2D(u_mask, v_texCoords);

    //interpolate the colours based on the mask
    //texColor0.a = mask;
    gl_FragColor = v_color * texColor1;
}
