varying vec4 v_color;
varying vec2 v_texCoord0;

uniform vec2 u_resolution;
uniform sampler2D u_texture;

const float outerRadius = 0.75, innerRadius = 0.35, intensity = 0.45;

void main() {
    vec4 color = texture2D(u_texture, v_texCoord0) * vec4(0.1176,0.2705,0.5960,1.0);

	vec2 relativePosition = gl_FragCoord.xy / u_resolution - .5;
	relativePosition.x *= u_resolution.x / u_resolution.y;
	float len = length(relativePosition);
	float vignette = smoothstep(outerRadius, innerRadius, len);
	color.rgb = mix(color.rgb, color.rgb * vignette, intensity);

	gl_FragColor = color;
}